Skip to main content

Edit Project

PUT 

/api/v1/project/:projectIdentifier

Edit Project

Request

Path Parameters

    projectIdentifier stringrequired

    Project identifier (ID or name)

Body

required

    name string

    Unique identifier for the project (slug)

    projectName string

    Human-friendly name of the project (not unique)

    description string
    platforms string[]
    label string

    Label name to assign to the project

    gitCloneUrl string

    Git repository clone URL (HTTPS or SSH)

    gitSshKey string

    SSH private key for git authentication (base64 encoded)

    gitCloneInterval number

    Interval in minutes for periodic git clone (default: 60 if git configured)

    gitBranch string

    Branch to clone (defaults to repository default branch)

    gitHttpsUsername string

    Username for HTTPS git authentication

    gitHttpsPassword string

    Password or personal access token for HTTPS git authentication

    gitGetappFilePath string

    Path to the .getapp file within the repository (defaults to repo root)

    projectType string

    Possible values: [product, application, lib, bundle, infra]

Responses

Schema

    id numberrequired

    Unique identifier of the project

    name stringrequired

    Unique slug name of the project

    projectName string

    Human-friendly name of the project (not unique)

    description string
    projectType stringrequired

    Possible values: [product, application, lib, bundle, infra]

    status string

    Status of the project (active, completed, on-hold)

    label string

    Label name assigned to the project

    owner stringrequired

    Owner of the project

    platforms string[]

    Platforms supported by the project

    numMembers number

    Number of members in the project

    versions numberrequired

    Number of versions available for the project

    memberContext

    object

    role stringrequired

    Possible values: [project-owner, project-admin, project-member]

    preferences

    object

    required

    pinned boolean

    summary

    object

    latestRelease

    object

    Latest release of the project

    id stringrequired
    version stringrequired
    name string
    requiredRegulationsCount numberrequired
    compliantRegulationsCount numberrequired

    upcomingRelease

    object

    Upcoming release of the project

    id stringrequired
    version stringrequired
    name string
    requiredRegulationsCount numberrequired
    compliantRegulationsCount numberrequired
Loading...